Subject: bug#19181: 24.4; 24.4.1 libgcc_s_dw2-1.dll crash on exit

From: Bill Farmer <[email-masked]>
Date: Wed, 26 Nov 2014 10:06:27 +0000

I have used the Sysinternals process explorer, 
(http://technet.microsoft.com/en-us/sysinternals/bb896653), to determine 
the loaded dlls. Unfortunately it does not show a dynamic dependency 
tree. This shows that when a file is visited, the distribution version 
of emacs 24.4 loads zlib1.dll from the MinGW installation and 
libgcc_s_dw2-1.dll also from the MinGW installation. These are the only 
non-microsoft dlls I can see. The version of emacs 24.4 I built does not 
load any non-microsoft dlls. I have attached four text files showing the 
dlls loaded by the distribution version of emacs 24.4 when no files have 
been visited, the dlls loaded by the distribution version after a file 
has been visited, the dlls loaded by the locally built version of emacs 
24.4 when no files have been visited, and the dlls loaded by the locally 
built version of emacs 24.4 after a file have been visited.

Hope this helps.

Regards
Bill Farmer

On 26/11/2014 03:47, Eli Zaretskii wrote:
>> Date: Tue, 25 Nov 2014 23:42:39 +0000
>> From: Bill Farmer <[email-masked]>
>> CC: [email-masked]
>>
>> I have done a plain vanilla build of emacs 24.4 with my version of MinGW:
>>
>> $ gcc -v
>> Using built-in specs.
>> COLLECT_GCC=c:\MinGW\bin\gcc.exe
>> COLLECT_LTO_WRAPPER=c:/mingw/bin/../libexec/gcc/mingw32/4.8.1/lto-wrapper.exe
>> Target: mingw32
>> Configured with: ../gcc-4.8.1/configure --prefix=/mingw --host=mingw32 -
>> -build=m
>> ingw32 --without-pic --enable-shared --enable-static --with-gnu-ld --enable-lto
>> --enable-libssp --disable-multilib -
>> -enable-languages=c,c++,fortran,objc,obj-c++
>> ,ada --disable-sjlj-exceptions --with-dwarf2 --disable-win32-registry -
>> -enable-l
>> ibstdcxx-debug --enable-version-specific-runtime-libs -
>> -with-gmp=/usr/src/pkg/gm
>> p-5.1.2-1-mingw32-src/bld --with-mpc=/usr/src/pkg/mpc-1.0.1-1-mingw32-src/bld -
>> -
>> with-mpfr= --with-system-zlib --with-gnu-as --enable-decimal-float=yes -
>> -enable-
>> libgomp --enable-threads --with-libiconv-prefix=/mingw32 -
>> -with-libintl-prefix=/
>> mingw --disable-bootstrap LDFLAGS=-s CFLAGS=-D_USE_32BIT_TIME_T
>> Thread model: win32
>> gcc version 4.8.1 (GCC)
>>
>> Configured using:
>> `configure --prefix=/d/c/emacs/build/usr'
>>
>> I cannot reproduce the crash on exit problem with this version. It does not
>> include the libXpm.dll file.
> Please try to find the DLLs loaded into the Emacs binary that does
> crash.  I don't see any other way of finding out what caused it.
> Somewhere on your system there is a DLL that depends on
> libgcc_s_dw2-1.dll, and finding it is the way to solve this riddle.
>
> Thanks.